- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnNIdData Class Reference

# OpenMayaFX - API module for effects | FunctionSet classes

Search for all occurrences

## Detailed Description

function set for nId object data

Class for transferring N id data between connections

`#include <MFnNIdData.h>`

Inheritance diagram for MFnNIdData:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnNIdData ()
| Destructor.
| MFnNIdData ()
| Default constructor.
| MFnNIdData (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MObject | create () const
| Creates an underlying Maya nId data object and return it as an MObject.
MStatus | getObjectPtr (MnObject *&ptr) const
| NO SCRIPT SUPPORT.
MnObject * | getObjectPtr (MStatus *status=NULL) const
| Get the nObject pointer.
| MFnNIdData (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnNIdData | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnNIdData | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kNIdData.

Reimplemented from MFnData.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnNIdData".

Reimplemented from MFnData.

MObject create | ( |  | ) | const

Search for all occurrences

Creates an underlying Maya nId data object and return it as an MObject.

Returns:
  The newly object.

MStatus getObjectPtr | ( | MnObject *& | ptr | ) | const

Search for all occurrences

NO SCRIPT SUPPORT.

Get the nObject pointer.

Parameters:

  [in] | ptr | Storage to return the pointer to the N constraint

Returns:
  Status Code

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MnObject * getObjectPtr | ( | MStatus * | status = `NULL` | ) | const

Search for all occurrences

Get the nObject pointer.

Parameters:

  [out] | status | Status Code

Returns:
  the pointer to the N constraint

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData
MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData MFnNIdData